CREATE FUNCTION [dbo].[FEFX_PEDIMENTOS_fn](@INVOICE_ID varchar(30), @LINE_NO int)
RETURNS varchar(MAX)
AS
BEGIN
DECLARE @Retornar varchar(MAX),
	@PEDIMENTO varchar(30),
	@ADUANA varchar(30),
	@FECHA varchar(30)
SET @Retornar=''

DECLARE Tabla CURSOR FOR 
	SELECT PEDIMENTO, ADUANA, FECHA
	FROM FEFX_PEDIMENTOS
	WHERE INVOICE_ID=@INVOICE_ID AND LINE_NO=@LINE_NO
OPEN Tabla
FETCH NEXT FROM Tabla INTO 
			@PEDIMENTO, @ADUANA, @FECHA
WHILE @@FETCH_STATUS=0
BEGIN
	if @Retornar=''
	BEGIN
		SET @Retornar=' Pedimento: '+ @PEDIMENTO+ ' Aduana: ' +@ADUANA + ' Fecha: ' +@FECHA
	END
	ELSE
	BEGIN
		SET @Retornar=@Retornar + ', ' + ' Pedimento: '+ @PEDIMENTO+ ' Aduana: ' +@ADUANA + ' Fecha: ' +@FECHA
	END
	
	FETCH NEXT FROM Tabla INTO 
			@PEDIMENTO, @ADUANA, @FECHA
END
CLOSE Tabla
DEALLOCATE Tabla
RETURN(@Retornar)
END

GO


